# ZMQSocket::getSockOpt

(PECL zmq >= 0.5.0)

ZMQSocket::getSockOpt — Récupère une option du socket

### Description

public ZMQSocket::getSockOpt(string `$key`): mixed

Retourne la valeur d'une option du socket.

### Liste de paramètres

`key`

  Un entier représentant l'option. Voir les constantes `ZMQ::SOCKOPT_*`.

### Valeurs de retour

Retourne soit une chaîne de caractères, soit un entier suivant le paramètre `key`. Lance une exception ZMQSocketException en cas d'erreur.